### Method

# Secret Service get_secrets_for_dbus_paths_sync

#### Declaration [src]

    GHashTable*
    secret_service_get_secrets_for_dbus_paths_sync (
      SecretService* self,
      const gchar** item_paths,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Get the secret values for a secret item stored in the service.

The items are represented by their D-Bus object paths. If you already have `SecretItem` proxy objects, use use `secret_item_load_secrets_sync()` to more simply get their secret values.

This method may block indefinitely and should not be used in user interface threads.

Items that are locked will not be included the results.

Stability: | Unstable
This method is not directly available to language bindings.

#### Parameters

`item_paths` | `const gchar**`
| The D-Bus paths to items to retrieve secrets for.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`cancellable` | `GCancellable`
| Optional cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GHashTable`
| A newly allocated hash table of item_path keys to `SecretValue` values.
| The caller of the method takes ownership of the data, and is responsible for freeing it.